Bug 1380879 - xserver 1.19 landed in rawhide and on its way to f25
xserver 1.19 landed in rawhide and on its way to f25
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Grulich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-30 18:36 EDT by Dennis Gilmore
Modified: 2016-10-05 04:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-05 04:48:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2016-09-30 18:36:37 EDT
Description of problem:

xorg got a bump with a new abi. tigervnc needs a rebuild but the patches need rebased, os/WaitFor.c appears to have been rewritten and we need adjustment.

this currently prevents us from composing rawhide

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Dennis Gilmore 2016-09-30 18:54:59 EDT
I have setup a f26-xorg side target you can do builds with 

fedpkg build --target=f26-xorg
Comment 2 Hans de Goede 2016-10-01 05:09:00 EDT
Hi,

Sorry about breaking the composes, I knew tigervnc needs fixing (I've this on my todo for coming Monday) but I did not expect it to break composes, I wanted to move ahead with the rest of the rebased xorg packages since we're quite late in the cycle with the rebase and I want the rebase to get as much testing as possible.

AFAIK only tigervnc-server-module should have broken deps and that is not required by anything.

Just out of curiosity, what is the error you are seeing ?

Regards,

Hans
Comment 3 Hans de Goede 2016-10-01 05:16:57 EDT
Hi again,

(In reply to Dennis Gilmore from comment #1)
> I have setup a f26-xorg side target you can do builds with 
> 
> fedpkg build --target=f26-xorg

Ah I see that you've untagged the 1.19 server + driver rebuilds from rawhide to get things composing again, good to know before I try building a fixed tigervnc against the old xorg.

Regards,

Hans
Comment 4 Kevin Fenzi 2016-10-01 12:56:24 EDT
tigervnc-server-module is used by lorax...
https://kojipkgs.fedoraproject.org//work/tasks/8952/15878952/root.log

I think anaconda/lorax uses this for it's vnc support.
Comment 5 Dennis Gilmore 2016-10-02 12:46:04 EDT
(In reply to Hans de Goede from comment #3)
> Hi again,
> 
> (In reply to Dennis Gilmore from comment #1)
> > I have setup a f26-xorg side target you can do builds with 
> > 
> > fedpkg build --target=f26-xorg
> 
> Ah I see that you've untagged the 1.19 server + driver rebuilds from rawhide
> to get things composing again, good to know before I try building a fixed
> tigervnc against the old xorg.
> 
> Regards,
> 
> Hans

yes, you can build against the new X in the side targets where everything is tagged. once tigervnc is built let us know and we can get everything moved back into rawhide.
Comment 6 Jan Grulich 2016-10-03 02:03:08 EDT
Hello Hans, will you take care of this bug? I would do that, but to be honest I have no idea how to replace the code when os/WaitFor.c is now rewritten.
Comment 7 Hans de Goede 2016-10-03 02:41:59 EDT
Hi,

(In reply to Jan Grulich from comment #6)
> Hello Hans, will you take care of this bug? I would do that, but to be
> honest I have no idea how to replace the code when os/WaitFor.c is now
> rewritten.

Yes I will take care of this, although I could use help with testing once I've a fixed build ready. Do you have any test "recipy" for testing tigervnc-server-module ?

Regards,

Hans
Comment 8 Hans de Goede 2016-10-03 10:59:15 EDT
Hi,

(In reply to Dennis Gilmore from comment #1)
> I have setup a f26-xorg side target you can do builds with 

Ok, a fixed tigervnc has been build into the f26-xorg side target, so we should be good to go. Can you please move everything in that target to the normal f26 target?

Regards,

Hans
Comment 9 Dennis Gilmore 2016-10-03 11:48:30 EDT
./scripts/mass-tag.py 
Checking 30 builds...
Tagging libXfont2-2.0.1-2.fc26 into f26
Tagging tigervnc-1.7.0-2.fc26 into f26
Tagging xorg-x11-drivers-7.7-18.fc26 into f26
Tagging xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc26 into f26
Tagging xorg-x11-drv-armsoc-1.4.0-3.20160929.fc26 into f26
Tagging xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc26 into f26
Tagging xorg-x11-drv-dummy-0.3.6-26.fc26 into f26
Tagging xorg-x11-drv-evdev-2.10.4-1.fc26 into f26
Tagging xorg-x11-drv-fbdev-0.4.3-25.fc26 into f26
Tagging xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc26 into f26
Tagging xorg-x11-drv-freedreno-1.4.0-3.20160929.fc26 into f26
Tagging xorg-x11-drv-geode-2.11.18-2.fc26 into f26
Tagging xorg-x11-drv-intel-2.99.917-26.20160929.fc26 into f26
Tagging xorg-x11-drv-ivtv-1.2.0-0.22.fc26 into f26
Tagging xorg-x11-drv-libinput-0.19.1-2.20160929.fc26 into f26
Tagging xorg-x11-drv-nouveau-1.0.13-1.fc26 into f26
Tagging xorg-x11-drv-omap-0.4.4-3.fc26 into f26
Tagging xorg-x11-drv-openchrome-0.5.0-2.fc26 into f26
Tagging xorg-x11-drv-opentegra-0.7.0-8.fc26 into f26
Tagging xorg-x11-drv-qxl-0.1.4-9.20160929gite13d28ee.fc26 into f26
Tagging xorg-x11-drv-sisusb-0.9.6-24.fc26 into f26
Tagging xorg-x11-drv-synaptics-1.8.99.1-2.20160929git48632211.fc26 into f26
Tagging xorg-x11-drv-v4l-0.2.0-47.fc26 into f26
Tagging xorg-x11-drv-vesa-2.3.2-25.fc26 into f26
Tagging xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc26 into f26
Tagging xorg-x11-drv-voodoo-1.2.5-25.fc26 into f26
Tagging xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc26 into f26
Tagging xorg-x11-font-utils-7.5-32.fc26 into f26
Tagging xorg-x11-proto-devel-7.7-20.fc26 into f26
Tagging xorg-x11-server-1.19.0-0.1.20160929.fc26 into f26
Tagging 30 builds.
Tagged 30 builds.

builds are all tagged back into rawhide. I will kick off a compose in a bit. the target has been removed

Thanks
Comment 10 Hans de Goede 2016-10-05 04:48:45 EDT
I believe this is fixed now, closing.

Note You need to log in before you can comment on or make changes to this bug.